function pushtogglebutton(src,ev)
%push the toggle button (that was drawn with drawtogglebutton) that has
%handle "src"
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2011 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
for g=1:numel(src)
    thissrc=src(g);    
    img=get(thissrc,'children');
    img=findobj(img,'type','image');
    bgimage=get(img,'cdata');
    
    if bgimage(1,1,1)==1
        value=0;
    else
        value=1;
    end
    
    if value==0
        %invert border:
        newimage=bgimage;
        newimage(:,:,1)=rot90(bgimage(:,:,1),2);
        newimage(:,:,2)=rot90(bgimage(:,:,2),2);
        newimage(:,:,3)=rot90(bgimage(:,:,3),2);
        newimage(3:end-2,3:end-2,:)=bgimage(3:end-2,3:end-2,:);
        set(img,'cdata',newimage);
    end
end