function udata=raveinitializeudatacontour(src,ev)

handles=guidata(src);

udata = raveinitializeudatastandard(src,ev);

inputs.y=[];
inputs.x=[];
inputs.dataset=[];
%inputs.xdials=[];

for dd=numel(handles.datasetnames):-1:1 %for each dataset:
    z=find(handles.isfunction{dd},1);
    if ~isempty(z)
        inputs.z=z;
        inputs.dataset=dd;
        X=handles.funvars{dd}{z};
        X=X(~handles.isconstant{dd}(X));
        
        if isempty(X)
            udata.view.isvalid=0;
            break
        end
        
        inputs.x=X(1);
        if numel(X)>1
            inputs.y=X(2);
        else
            inputs.y=X(1);
        end

        udata.view.isvalid=1;
        break
    end
end

if isempty(z) || isempty(inputs.x);
    inputs.x=[];
    inputs.y=[];
    inputs.z=[];
    inputs.dataset=1;
    udata.view.isvalid=0;
end

%initialize subplot axes structure:
handles.subax{handles.activeindex}=[];
handles.subfakeax{handles.activeindex}=[];
handles.subfakerax{handles.activeindex}=[];

%make viewtab info:
udata.view.y=inputs.y;
udata.view.x=inputs.x;
udata.view.z=inputs.z;

udata.view.c=inputs.z;
udata.view.layout='square'; %options: square, lower, upper, rectangle.
udata.view.ncont=20; %number of contours to draw
udata.view.smooth=20; %number of points to use in contour grid
udata.view.asmooth=3;
udata.view.adaptivelevels=3;
udata.view.doadaptive=0;
udata.view.clim=[0 1];
udata.view.showcurrentpoint=1;
udata.view.funcalls=[];
udata.view.mainhandles=[];
udata.view.xhair=[];
udata.view.yhair=[];

%make format tab info:
udata.format.marker='s'; % marker string
udata.format.markersize=2; %marker size
udata.format.markerfill=2;
udata.format.linestyle=':'; %line style string
udata.format.linesize=1; %line thickness;
udata.format.lcmap=1; %line colormap (index?)
udata.format.mcheck=1; %marker check box value
udata.format.lcheck=1; %line check box value
udata.format.tracersize=1; 
udata.format.usevariablecolors=0; %for tracers
udata.format.tracercolor=handles.colors.text;
udata.format.showpoints=0;
