function udata=raveinitializeudatasurfaceprofiler(src,ev)

handles=guidata(src);

udata = raveinitializeudatastandard(src,ev);

inputs.y=[];
inputs.x=[];
inputs.dataset=[];
inputs.xdials=[];

for dd=numel(handles.datasetnames):-1:1 %for each dataset:
    z=find(handles.isfunction{dd},1);
    if ~isempty(z)
        inputs.z=z;
        inputs.c=z;
        inputs.dataset=dd;
        inputs.funvars=handles.funvars{dd}{z}; %note, these are names, need to convert them to numbers
        
        %remove constants:
        inputs.funvars=setdiff(inputs.funvars,find(handles.isconstant{dd}));
        
        if numel(inputs.funvars)>1
            inputs.x=inputs.funvars(1);
            inputs.y=inputs.funvars(2);
            udata.view.isvalid=1;
            break
            
        else
            inputs.x=[];
            inputs.y=[];
            inputs.isvalid=0;
        end
        
    end
end

if isempty(z)
    inputs.x=[];
    inputs.y=[];
    inputs.z=[];
    inputs.c=[];
    inputs.funvars=[];
    inputs.dataset=1;
    udata.view.isvalid=0;
    
end

udata.attributes={};
udata.manage.israsterized=0;

%make viewtab info:
udata.view.dataset=inputs.dataset;
udata.view.x=inputs.x;
udata.view.y=inputs.y;
udata.view.z=inputs.z;
udata.view.c=inputs.c;
udata.view.az=-37.5;
udata.view.el=30;
udata.view.showcurrentpoint=1;
udata.view.currentpointhandle=[];
udata.view.clim=[0 1];

udata.view.numpts=8;
udata.view.funvars=inputs.funvars;

udata.view.campos=[];
udata.view.camtarg=[];

%make format tab info:
udata.format.grid=2; %index for grid;
udata.format.edgecolor=handles.colors.edgecolor;
udata.format.facecolor=handles.colors.text;
udata.format.edgestyle=1; %index of edge style
udata.format.facestyle=2; %index of face style.
udata.format.linesize=1;
udata.format.boxon=0; %show bounding box of axes;
udata.format.tracercolor=handles.colors.text;
