function ravearrangeobjectsdiscretefilter(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.

handles=guidata(src);
udata=get(handles.fakeax(handles.activeindex),'userdata');

axpos=get(handles.activegraph,'position');

tax=udata.view.tax;
ttax=udata.view.ttax;
tpos=get(tax,'position');

%reposition listbox axes:

pos=axpos-[0 0 17 0];

set(tax,'position',[tpos(1) tpos(2) pos(3) tpos(4)])
%set(ttax,'position',[tpos(1) tpos(2) pos(3) tpos(4)])

%ensure uipanel never gets larger than its contents:
if pos(4)>tpos(4);
    pos(4)=tpos(4);
end

set([handles.allgraphs(handles.activeindex) handles.fakeax(handles.activeindex) handles.fakerax(handles.activeindex)],'position',pos)

%keep text from stretching:
set(ttax,'xlim',[0.5 pos(3)+0.5]);

%position scroll bar to the right of this:
slpos=[pos(1)+pos(3) pos(2)+1 17 pos(4)-1];
tpos=get(udata.view.tax,'position');
vstep=pos(4);

delete(udata.view.scroll)
vscroll=drawvscroll(handles.wspanel,udata.view.ttax,slpos,0,tpos(4),vstep,tpos(4),@vertlistboxscroll,1);
udata.view.scroll=vscroll;
set(handles.fakeax(handles.activeindex),'userdata',udata);
