function buttondownfcnhistogram(src,ev)
%determines what to do when a scatter plot is clicked, then does it.

handles=guidata(src);
ai=get(src,'userdata');
udata=get(handles.fakeax(ai),'userdata');
set(udata.explore.mouseoverhandles,'visible','off');


%if this is the active graph, select subax:
if ai==handles.activeindex && strcmp(handles.activetab,'format')
    raveselectsubgraph(src,[]);
    return
end

raveunselectfcn(src,[],ai);


function raveunselectfcn(src,ev,ai)
%determine which point was clicked:
handles=guidata(src);
udata=get(handles.fakeax(ai),'userdata');

d=udata.view.dataset;
a=udata.view.analysis;
handles.isselected{d}{a}=false(size(handles.isselected{d}{a}));

%update other graphs:
raveupdateanalysis(src,handles,'isselected',[],d,a);



