function udata=raveinitializeudatahistogram(src,ev)

handles=guidata(src);

udata = raveinitializeudatastandard(src,ev);

%make histogram by default contain the first variable in the
%list. for histogram only x is used, not y,z,c...
x=find(~handles.isconstant{1},1);

%make viewtab info:
udata.view.x=x;
udata.view.s=-1;

udata.view.outliers=0; %remove outliers check box value
udata.view.stddevs=3; %number of std deviations that define outliers
udata.view.nbars=20; %number of bars to draw.
udata.view.barwidth=1; %relative width of bars.
%udata.view.showstats=1; %show distribution statistics
udata.view.normalize=0; %show probabilities instead of counts;
udata.view.sharedylim=0; %force all graphs to have same ylim;
udata.view.stack=0; %stack vertically instead of horizontally;

udata.view.commonaxis=0;
udata.view.discreteascategory=0;
udata.view.edges={};
udata.view.showfilter=1;

%make format tab info:
udata.format.facecolor=[102 153 234]./255; %bar face color
udata.format.randomfacecolor=[129 153 190]./255;
udata.format.edgecolor=handles.colors.edgecolor;
udata.format.drawedge=0;
udata.format.orient='vertical'; %bar orientation

