%This file contains the commands used to compile the java files used by Rave.
%If you make any changes to the .java files, you need to recompile them
%before the changes will take effect. You can use the lines below to do this from within MATLAB.  
%Of course you must update the path in each line before you run them...
% the paths here are just whichever ones happened to be the last ones i used.
%You must have the jdk installed and its bin folder should be on your system path. 

%IMPORTANT: You MUST compile these for Java 1.6. If you use Java 7
%it won't work with older versions of MATLAB. 

!javac -target 1.6 -source 1.6 "C:\Users\md222\Documents\MATLAB\rave\java\RaveHeaderRenderer.java"
!javac -target 1.6 -source 1.6 "C:\Users\md222\Documents\MATLAB\rave\java\RowHeaderRenderer.java"
!javac -target 1.6 -source 1.6 -Xlint:unchecked "C:\Users\md222\Documents\MATLAB\rave\java\RaveTableSorter.java"
!javac -target 1.6 -source 1.6 "C:\Users\md222\Documents\MATLAB\rave\java\RaveTableMouseHandler.java"
!javac -target 1.6 -source 1.6 "C:\Users\md222\Documents\MATLAB\rave\java\RaveDataTypeTableModel.java"
!javac -target 1.6 -source 1.6 "C:\Users\md222\Documents\MATLAB\rave\java\RaveFontMetrics.java"
!javac -target 1.6 -source 1.6 "C:\Users\md222\Documents\MATLAB\rave\java\RaveUneditableTableModel.java"
!javac -target 1.6 -source 1.6 "C:\Users\md222\Documents\MATLAB\rave\java\RaveTableModelDataPreparator.java"

!cd "C:\Users\md222\Documents\MATLAB\rave\java\" & javac -target 1.6 -source 1.6 -cp . "C:\Users\md222\Documents\MATLAB\rave\java\RaveDefaultTableCellRenderer.java"
!cd "C:\Users\md222\Documents\MATLAB\rave\java\" & javac -target 1.6 -source 1.6 -cp . "C:\Users\md222\Documents\MATLAB\rave\java\RaveStringTableCellRenderer.java"
!cd "C:\Users\md222\Documents\MATLAB\rave\java\" & javac -target 1.6 -source 1.6 -cp . "C:\Users\md222\Documents\MATLAB\rave\java\RaveIntegerTableCellRenderer.java"
!cd "C:\Users\md222\Documents\MATLAB\rave\java\" & javac -target 1.6 -source 1.6 -cp . "C:\Users\md222\Documents\MATLAB\rave\java\RaveDefaultRowHeaderRenderer.java"
!cd "C:\Users\md222\Documents\MATLAB\rave\java\" & javac -target 1.6 -source 1.6 -cp . "C:\Users\md222\Documents\MATLAB\rave\java\RaveNoiseTableCellRenderer.java"
!cd "C:\Users\md222\Documents\MATLAB\rave\java\" & javac -target 1.6 -source 1.6 -cp . "C:\Users\md222\Documents\MATLAB\rave\java\RaveRowStatusRenderer.java"

%If after running any/all of the above lines, run these to update the jar
%file. You must do this while Rave is not running.
!cd "C:\Users\md222\Documents\MATLAB\rave\java\" & jar cf RaveJavaClasses.jar *.class *.java
clear all
javaaddpath('C:\Users\md222\Documents\MATLAB\rave\java\RaveJavaClasses.jar');

