function setffneuralnetalgorithm(src,ev)

%updates the table to display the settings of the newly selected algorithm,
%updates help blob to display correct help file:

handles=guidata(src);
ui=handles.temp.methodcontrols;

idx=get(src,'value');
algs={'trainb','trainbfg','trainbr','trainbuwb','trainc','traincgb','traincgf','traincgp','traingd','traingda',...
    'traingdm','traingdx','trainlm','trainoss','trainr','trainrp','trains','trainscg'};
trainalg=algs{idx};

%make table data:
s=updateffneuralnetsettingstable(trainalg);
dat = [s(:,1),s(:,3)];
cnames = {'Parameter','Value'};

%update table:
jtable=javax.swing.JTable(dat,cnames); %initialize a table
jscroll=get(ui(8),'javapeer');
jscroll.setViewportView(jtable);

%help files:
drawnow;
delete(ui(13))
ui(13)=makehelpblob(gcf,822,548+25,['*',algs{idx}],[1 1 1],'Display help on selected algorithm');
handles.temp.methodcontrols=ui;
guidata(src,handles);
