function ravefilloptimizersettingstable(src,ev,displaynames,settingvalues)
%fill the optimizer settings table with the specified setting names and
%values.
handles=guidata(src);
mtable=findobj(handles.tabobjects,'tag','mtable');

if isempty(mtable);return;end

jscrollpane=get(mtable,'javapeer');

if isempty(displaynames)
    displaynames={''};
    settingvalues={''};
end

data=[displaynames' settingvalues'];
cnames = {'Parameter','Value'};
jtable=javax.swing.JTable(data,cnames); %initialize a table
jscrollpane.setViewportView(jtable)

%handles.tabflexgrid=jtable;

nrows=numel(displaynames);
for r=1:nrows
    jtable.setValueAt(displaynames{r},r-1,0);
end

settingstable.col=1;
for r=1:nrows
    settingstable.row=r;
    settingstable.text=settingvalues{r};
end