function raveLaTeX2png(string,filename,style,fontsize)
%Render a latex formula as a png using java.

import org.scilab.forge.jlatexmath.*;

formula=TeXFormula('5+5=10');
icon=formula.createTeXIcon(TeXConstants.STYLE_DISPLAY,48);
icon.setInsets(java.awt.Insets(5,5,5,5));
image=java.awt.image.BufferedImage(icon.getIconWidth(),icon.getIconHeight(),java.awt.image.BufferedImage.TYPE_INT_ARGB);
g2d=image.createGraphics();
g2d.setColor(java.awt.Color(1,1,1));
jl=javax.swing.JLabel();
icon.paintIcon(jl,g2d,0,0);
file=java.io.File('formula.png');
javax.imageio.ImageIO.write(image,'png',file.getAbsoluteFile())
