function raveduplicategraph(src,ev)
%duplicate the currently selcted graph

handles=guidata(src);

if isempty(handles.activeindex);return;end

udata=get(handles.fakeax(handles.activeindex),'userdata');

thistype=get(handles.activegraph,'userdata');

%prevent other actions from interfering until this is done:
buttons=findobj(handles.fig,'type','uicontrol','enable','on');
set(buttons,'enable','inactive')
drawnow;

ravenewgraph(handles.fig,[],thistype);
uiwait(handles.fig);

set(buttons,'enable','on');

%refresh handles:

result=get(0,'userdata');

if isstr(result) && strcmp(result,'cancel')
    return
end

handles=guidata(handles.fig);

%replace new graphs udata with old udata:
set(handles.fakeax(handles.activeindex),'userdata',udata);

%recreate graph:
funhandle=str2func(['ravecreate',thistype]);
funhandle(handles.fig,[]);




