function raveprefs=ravemakedefaultprefs
%Spits out a structure of the default rave preferences.
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2012 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
%
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.


%Look for files named "ravemakedefaultprefsXXXXXXXX" in the preferences directory:
[raveroot,junk,junk] = fileparts(which('rave'));
prefsdir = fullfile(raveroot,'preferences');
filez = dir(prefsdir);
raveprefs=struct();
for j = 1:numel(filez)
   if ~isempty(strfind(filez(j).name,'ravemakedefaultprefs')) && strcmp(filez(j).name(end-1:end),'.m')
       eval(filez(j).name(1:end-2));
   end       
end

