function newlabel=ravemakelabelcells(label,x)
%convert a label into a cell array, and inserts x blank rows before the text (as space so label doesnt overlap ticks).
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% Written by: Matthew Daskilewicz mdaskilewicz@asdl.gatech.edu

if nargin==1
    x=0;
end

label=['{''' strrep(label,';',''';''') '''}'];
label=eval(label);

newlabel=cell(x+1,1);
for g=1:numel(newlabel)
    newlabel{g}='';
end
newlabel(end)=label;

