function settings=raveprocessdistribution(handles,settings,d,a)
%Evaluates any strings that appear in the structure "settings" and returns
%the same structure with the strings replaced by numerical values. 

%remove standard fields:
params=fieldnames(settings);
params=setdiff(params,{'type','name','serialnumber'});

%replace variable names with current values:
varnames=handles.basenames{d};
%replace longest names first in case a shorter name is a subset of a longer name.
varlengths=cellfun(@length,varnames);
[sortednames,varlengthorder]=sort(varlengths,'descend');

for i=1:numel(params)
    for g=1:numel(varnames)
        thisvar=varnames{varlengthorder(g)};
        settings.(params{i})=strrep(settings.(params{i}),thisvar,['handles.xdials{d}{a}',thisvar]);
    end
    settings.(params{i})=eval(settings.(params{i}));
end




