function raveupdateexploretypes(src,ev)

handles=guidata(src);

raveroot=which('rave');
raveroot=raveroot(1:end-6);
handles.exploreinfo=struct;

maindir=fullfile(raveroot,'exploremethods');
exploretypes=dir(maindir);

for g=3:numel(exploretypes)
    if exploretypes(g).isdir && exploretypes(g).name(1)~='X'
        thisname=exploretypes(g).name;
        %remove leading numbers:
        firstletter=find(isstrprop(thisname,'alpha'),1);
        keyword=thisname(firstletter:end);
        
        %get properties for this explore method:
        properties=struct;
        try
            eval(['exploreproperties',keyword]);
        catch %#ok<CTCH>
            addpath(fullfile(maindir,thisname),'-begin');
            try
                eval(['exploreproperties',keyword]);
            catch
                %no error for missing exploreproperties file... just
                %doesnt have any properties.
            end
        end
        handles.exploreinfo.(keyword)=properties;
    end
end

guidata(handles.fig,handles);