function updateslidersfinish(handles,ai,udata)
%Run user function and update analysis:

d = udata.view.dataset;
a = udata.view.analysis;

if isempty(udata.view.userfcn)
    raveupdateanalysis(handles.fig,handles,'xdials',[],d,a);
else
    
    %Construct user function:
    userfcn = str2func(udata.view.userfcn);
    narg = nargin(userfcn);
    if narg==0
        %do nothing;
        ufx = userfcn;
    elseif narg==1
        ufx = @() userfcn(handles.fig);
    elseif narg==2
        ufx = @() userfcn(handles.fig,ai);
    end

    if udata.view.updateanalysis==-1
        handles = raveupdateanalysis(handles.fig,handles,'xdials',[],d,a);
        guidata(handles.fig,handles);
        ufx();
    elseif udata.view.updateanalysis==1
        guidata(handles.fig,handles);
        ufx();
        raveupdateanalysis(handles.fig,handles,'xdials',[],d,a);
    else
        ufx();
    end 
end

