function lassoselectline(src,ev) %#ok<INUSD> %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
handles=guidata(src);
%set(handles.fig,'windowbuttondownfcn',[]);

ai=find(handles.allgraphs==src);


clicked=get(src,'currentpoint');

xclick=clicked(1,1,1);
yclick=clicked(1,2,1);
handles.temp.xpoints=xclick;
handles.temp.ypoints=yclick;
%fill color:
handles.temp.selection=fill(xclick, yclick,get(handles.fakerax(ai),'color'),'linewidth',1,'edgecolor',[1 .5 0],...
    'parent',src,'hittest','off','buttondownfcn','','clipping','on');
uistack(handles.temp.selection,'bottom');
maindata=findobj(src,'tag','main');
%set(maindata,'visible','off');

handles.temp.selected=findobj(src,'tag','selected');
handles.temp.main=findobj(src,'tag','marker');
handles.temp.xdata=get(maindata,'xdata');
handles.temp.ydata=get(maindata,'ydata');
handles.temp.cdata=get(maindata,'cdata');
handles.temp.sdata=get(maindata,'sizedata');
set(handles.temp.selected,'visible','off')%,'userdata',false(size(handles.temp.xdata)));

%maintain manual/auto sizing:
handles.temp.axesmode=get(src,'xlimmode');
set(src,'xlimmode','manual','ylimmode','manual');

%allow dragging
set(handles.fig,'WindowButtonMotionFcn',@ravesizelasso);
set(handles.fig,'WindowButtonUpFcn',@ravesizeselectiondone);
set(handles.fig,'windowbuttondownfcn',[]);

guidata(src,handles);

function ravesizelasso(src,eventdata) %#ok<INUSD>
handles=guidata(src);

ai=find(handles.allgraphs==gca);

udata=get(handles.fakeax(ai),'userdata');

mousenew = get(gca,'CurrentPoint');
mousenew = mousenew(1,1:2);

% append the new point on the end of the last lasso
handles.temp.xpoints = [get(handles.temp.selection,'xdata');mousenew(1,1)];
handles.temp.ypoints = [get(handles.temp.selection,'ydata');mousenew(1,2)];

% replot the newly extended lasso
set(handles.temp.selection,'xdata',handles.temp.xpoints,'ydata',handles.temp.ypoints)

%determine which points are in this region:
inpoints=find(inpolygon(handles.temp.xdata,handles.temp.ydata,handles.temp.xpoints,handles.temp.ypoints));
handles.temp.xdata
if isempty(inpoints)
    set(handles.temp.selected,'visible','off')%,'userdata',false(size(handles.temp.xdata)))
else
    %need to set all data properties so dimensions are correct.
    set(handles.temp.selected,'xdata',handles.temp.xdata(inpoints),'ydata',handles.temp.ydata(inpoints),...
        'cdata',handles.temp.cdata(inpoints),'sizedata',handles.temp.sdata(inpoints),'visible','on')%,'userdata',inpoints);
    if udata.view.s==0 %isallonesize
        set(get(handles.temp.selected,'children'),'markersize',sqrt(udata.format.minmarkersize));
    end

end


function ravesizeselectiondone(src,eventdata) %#ok<INUSD>
handles=guidata(src);

ai=find(handles.allgraphs==gca);
udata=get(handles.fakeax(ai),'userdata');
%stop dragging
set(handles.fig,'WindowButtonMotionFcn',@ravedefaultwindowbuttonmotionfcn);
set(handles.fig,'WindowButtonUpFcn',[]);
set(gca,'xlimmode',handles.temp.axesmode,'ylimmode',handles.temp.axesmode)
%set(handles.temp.main,'visible','on');


handles.isselected{udata.view.dataset}{udata.view.analysis}=handles.temp.isselected;
delete(handles.temp.selection);

%store indices of selected points.
set(handles.fakeax(ai),'userdata',udata);

%update other graphs:
raveupdateanalysis(src,handles,'isselected',[],udata.view.dataset,udata.view.analysis);

