function buttondownfcnscattermatrix(src,ev)
%determines what to do when a subax in a scattermatrix is clicked, then does it.

handles=guidata(src);
ai=get(src,'userdata'); %subax userdata is activeindex. 
%udata=get(handles.fakeax(ai),'userdata');


%if this is the active graph, select subax:
if ai==handles.activeindex && strcmp(handles.activetab,'format');
    raveselectsubgraph(src,[]);
end


%determine if selection is active:
switch handles.selectionmode
    case 'point'
        set(findobj(gca,'tag','main'),'HitTest','on')
        if isempty(get(handles.fig,'currentmodifier'))
            raveunselectfcn(src,[]);
        end
    case 'box'
        set(get(gca,'children'),'HitTest','off')
        boxselectscattermatrix(src,[]);
    case 'lasso'
        set(get(gca,'children'),'HitTest','off')
        lassoselectscattermatrix(src,[]);
    otherwise %do nothing
        set(get(gca,'children'),'HitTest','off')
        
end

