
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.util.List;

import javax.swing.*;
import javax.swing.event.TableModelEvent;
import javax.swing.event.TableModelListener;
import javax.swing.table.*;

public class RaveHeaderRenderer extends DefaultTableCellRenderer {
    JLabel label = null;
    
    public RaveHeaderRenderer() {
        super();
        setOpaque(true);
        label = new JLabel();
        label.setHorizontalAlignment(SwingConstants.LEFT);
        label.setBorder(UIManager.getBorder("TableHeader.cellBorder"));
       // label.setOpaque(false);
        
       // Color c = new Color(1,0,0);
       // label.setBackground(c);
        
    }
    
    public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column) {
        
        if (value != null) {
            label.setText("" + value);
        } else {
            label.setText("");
        }
        // label.setBorder(UIManager.getBorder("TableHeader.cellBorder"));

        return label;
    }
    
    protected void setValue(Object value) {
        if (value != null) {
            label.setText("" + value);
        } else {
            label.setText("");
        }
    }
        
    public void setIcon(Icon icon) {
        if (label != null) {
            label.setIcon(icon);
        }
    }  
}


