function ravemaintableunhide(src,ev)
handles=guidata(src);
datasets=raveguidata(handles.fig,'datasets');

d=handles.maintable.d;
a=handles.maintable.a;

isselected=handles.maintable.jtable.getSelectedRows();
for g=1:numel(isselected);
   isselected(g)=handles.maintable.models{d}.modelIndex(isselected(g)); 
end

isselected=isselected+1;
handles.isvisible{d}{a}(isselected)=true;

%determine if newly unhidden rows are filtered or not:
highs=handles.maxfilter{d}{a};
lows=handles.minfilter{d}{a};

istoohigh = bsxfun(@gt,datasets.alldata{d},highs);
istoolow = bsxfun(@lt,datasets.alldata{d},lows);
handles.isfiltered{d}{a}= any(istoohigh|istoolow,2);

handles.analysisupdatespending{d}{a}=union(handles.analysisupdatespending{d}{a},'visiblerows');
handles.analysisupdatespending{d}{a}=union(handles.analysisupdatespending{d}{a},'isfiltered');
guidata(handles.fig,handles);

%update table:
isRowShaded=~handles.isvisible{d}{a};
isRowFiltered=handles.isfiltered{a}{a};

handles.maintable.models{d}.setIsRowFiltered(isRowFiltered)
handles.maintable.models{d}.setIsRowShaded(isRowShaded)
handles.maintable.jtable.repaint;
