%Weighted Sum
varnamebox=findobj(gcf,'tag','varnamebox');
set(varnamebox,'string','Weighted Sum')
responsename='WS';


objstring='';
for g=1:nvars
    thisvar=handles.basenames{d}{index(g)};
    thistarget=handles.targetvalues{d}(index(g));
    if thistarget==inf %larger the best
        objstring=[objstring '%' thisvar '*(-' thisvar ')'];
        
    elseif thistarget==-inf %smaller is best
        objstring=[objstring '%' thisvar '*(' thisvar ')'];
        
    else %nominal target
        objstring=[objstring '%' thisvar '*(1-abs(' thisvar '-$+' thisvar ')/abs($+' thisvar '-$-' thisvar '))'];
        
    end
    
    if g<nvars
        objstring=[objstring ' + '];
    else
        objstring=[objstring ';'];
    end
    
end
newstring={[responsename '=' objstring];''};