if ~isempty(handles.activeindex)
    
    
    
    grabbyviz=get(handles.grabbers{handles.activeindex}(1),'visible');
    bordercolor=get(handles.allblockers(handles.activeindex),'edgecolor');
    if settings.animation
        %open movie file:"
        set(handles.allblockers(handles.activeindex),'edgecolor','none');
        set(handles.grabbers{handles.activeindex},'visible','off');
        Framez=struct('cdata',{},'colormap',{});
        set(handles.fig,'userdata',Framez);
    end
    
    if settings.showinfo && ~isempty(settings.plotaxes)
        xlimz=double(get(settings.plotaxes,'xlim'));
        ylimz=double(get(settings.plotaxes,'ylim'));
        
        %get pixel dimensions:
        pos=get(settings.plotaxes,'position');
        xpix=(xlimz(2)-xlimz(1))./pos(3);
        ypix=(ylimz(2)-ylimz(1))./pos(4);
        
        
        switch settings.infolocation
            case 'ne'
                xdat=xlimz(2);
                ydat=ylimz(2);
            case 'nw'
                xdat=xlimz(1);
                ydat=ylimz(2);
            case 'se'
                xdat=xlimz(2);
                ydat=ylimz(1);
            case 'sw'
                xdat=xlimz(1);
                ydat=ylimz(1);
        end
        
        if strcmpi(handles.prefs.animation.background,'outline')
            t(5)=text(xdat+xpix,ydat+ypix,'','parent',settings.plotaxes,'fontname',handles.prefs.animation.infofont,'fontsize',handles.prefs.animation.infofontsize,...
                'tag','optinfotext','vert','bottom','hor','left','color',get(handles.fakerax(handles.activeindex),'color'));
            t(4)=text(xdat+xpix,ydat-ypix,'','parent',settings.plotaxes,'fontname',handles.prefs.animation.infofont,'fontsize',handles.prefs.animation.infofontsize,...
                'tag','optinfotext','vert','bottom','hor','left','color',get(handles.fakerax(handles.activeindex),'color'));
            t(3)=text(xdat-xpix,ydat-ypix,'','parent',settings.plotaxes,'fontname',handles.prefs.animation.infofont,'fontsize',handles.prefs.animation.infofontsize,...
                'tag','optinfotext','vert','bottom','hor','left','color',get(handles.fakerax(handles.activeindex),'color'));
            t(2)=text(xdat-xpix,ydat+ypix,'','parent',settings.plotaxes,'fontname',handles.prefs.animation.infofont,'fontsize',handles.prefs.animation.infofontsize,...
                'tag','optinfotext','vert','bottom','hor','left','color',get(handles.fakerax(handles.activeindex),'color'));
        end
        t(1)=text(xdat,ydat,'','parent',settings.plotaxes,'fontname',handles.prefs.animation.infofont,'fontsize',handles.prefs.animation.infofontsize,...
            'tag','optinfotext','vert','bottom','hor','left','backgroundcolor','none');
        
        switch settings.infolocation
            case 'ne'
                set(t,'hor','right','vert','top');
            case 'nw'
               set(t,'hor','left','vert','top');
            case 'se'
                set(t,'hor','right','vert','bottom');
            case 'sw'
               set(t,'hor','left','vert','bottom');
        end
        
        
        
        tic
    end
end