function [displaynames,settingvalues]=raveparseoptimizersettingstable(src,ev,indisplaynames,isastring)
%parses the settings talble on the optimizer tab and returns its values in
%a structure.

handles=guidata(src);
mtable=findobj(handles.tabobjects,'tag','mtable');
jscrollpane=get(mtable,'javapeer');
jv=jscrollpane.getViewport;
jtable=jv.getView;

nrows=jtable.getRowCount;

if nrows==0
    displaynames={};
    settingvalues={};
    return
end

for g=nrows:-1:1;
    thisname=jtable.getValueAt(g-1,0);
    thisvalue=jtable.getValueAt(g-1,1);
    
    idx=strcmp(thisname,indisplaynames);
    
    displaynames{g}=thisname;
    settingvalues{g}=thisvalue;
end

