function raveeditpage(src,ev)
%the callback for the current page edit text box. Checks the the user
%entered a valid page number, or else goes back to the last page.

handles=guidata(src);
handles.lastsheet=handles.activesheet;

newpage=round(str2double(get(src,'string')));

oldpage=handles.activesheet;

if isnan(newpage) || isinf(newpage)
    newpage=oldpage;
elseif newpage<0;
    newpage=0;
elseif newpage>max(handles.sheet)+1
    newpage=max(handles.sheet)+1;
end 

set(src,'string',num2str(newpage));

if newpage==oldpage;return;end %do nothing if there is nothing to do.

handles.activesheet=newpage;
guidata(handles.fig,handles);

if newpage>0 && handles.lastsheet>0;
    ravedisplaypage(handles.fig,[]);
else
    showhideworkspace(handles.fig,[]);
end


