function val = ravegetrowlabelstring(handles,datasets,d,a,idx,col)
%Returns the row label string for row "idx" of dataset "d"

if nargin<6
    col = handles.rowlabelcolumn{d};
end


if col==0 %row number
    val=strtrim(sprintf('%8.0f',idx));
else
    switch handles.datatype{d}{col}
        case 'string'
            val=handles.discretevalues{d}{a}{col}{datasets.alldata{d}(idx,col)};
        otherwise %numerical value
            val=datasets.alldata{d}(idx,col);
            val=strtrim(sprintf('%8.6g',val));
    end
end