function [mainrows,selectedrows,filteredrows]=ravemakeplotdataseries(handles,udata)
%determines which rows of a data set should be plotted in a graph and
%whether they should be formatted as the main data series, selected, or
%filtered. 

d=udata.view.dataset;
a=udata.view.analysis;

mainrows=handles.isvisible{d}{a} & ~handles.isfiltered{d}{a};
selectedrows=handles.isselected{d}{a} & handles.isvisible{d}{a};
filteredrows=handles.isfiltered{d}{a} & handles.isvisible{d}{a};


if isfield(udata.explore,'plotdataseries')
    mainrows(~udata.view.show)=false;
    selectedrows(~udata.view.show)=false;
    filteredrows(~udata.view.show)=false;
else
    mainrows=handles.isvisible{d}{a} & ~handles.isfiltered{d}{a};
    selectedrows=handles.isselected{d}{a} & handles.isvisible{d}{a};
    filteredrows=handles.isfiltered{d}{a} & handles.isvisible{d}{a};
end
