function L = ravemakerowcolorlegend(src,ev,d,a,ai,topcorner)

handles = guidata(src);

%Makes a row color legend for the specified data set and analysis.
%Which row colors are used?
colorz = unique(handles.rowcolors{d}{a});
% Which of these have labels?
labelz = handles.rowcolorlabels{d}{a}(colorz);

keep = ~cellfun(@isempty,labelz);

if any(keep)
    colorz = colorz(keep);
    labelz = labelz(keep);
    
    for i = 1:numel(colorz)
        entriez{i} = {'linestyle','none','marker','s','markerfacecolor',handles.prefs.rowcolors(colorz(i),:),...
            'markeredgecolor','none','markersize',8};
    end
    
    L = ravemakelegend(src,[],ai,labelz,entriez,[],'',topcorner);
else
    L=[];
end