function ravewheelscroll(src,eventdata)
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% Written by: Matthew Daskilewicz mdaskilewicz@asdl.gatech.edu


handles=guidata(src);

if handles.tablemode;return;end;

if strcmp(get(gco,'type'),'uicontrol') && strcmp(get(gco,'style'),'listbox')
    return
end


currentpos=get(handles.vscroll,'value');
newpos=currentpos+eventdata.VerticalScrollCount*-100; %adjust this number to control scrolling speed

if newpos<get(handles.vscroll,'min')
    set(handles.vscroll,'value',get(handles.vscroll,'min'));
elseif newpos>get(handles.vscroll,'max')
    set(handles.vscroll,'value',get(handles.vscroll,'max'));
else
    set(handles.vscroll,'value',newpos)
end

vertscroll(handles.fig,[],handles.fig);